## displaycal-py3 3.9.7

=== requirements.txt ===
build
certifi
dbus-python
distro
numpy
Pillow
PyChromecast
Send2Trash
wxPython>=4.1.1
zeroconf

=== debian/changelog ===
displaycal-py3 (3.9.7-3~bpo11+2) bullseye-backports; urgency=medium

  * Add a patch to handle the python3-pychromecast fallback on Python 3.9,
    and demote python3-pychromecast to “Suggests”.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Aug 2022 20:55:32 +0200

displaycal-py3 (3.9.7-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Aug 2022 16:22:08 +0200

displaycal-py3 (3.9.7-3) unstable; urgency=medium

  * Really add libsdl2-mixer-2.0-0 in depends

 -- Christian Marillat <marillat@debian.org>  Fri, 12 Aug 2022 09:31:18 +0200

displaycal-py3 (3.9.7-2) unstable; urgency=medium

  * Add libsdl2-mixer-2.0-0 in depends (Closes: #1017029)

 -- Christian Marillat <marillat@debian.org>  Fri, 12 Aug 2022 09:20:12 +0200

displaycal-py3 (3.9.7-1) unstable; urgency=medium

  * New upstream python 3 release (Closes: #1014521)

 -- Christian Marillat <marillat@debian.org>  Mon, 04 Jul 2022 18:54:36 +0200

displaycal (3.8.9.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sat, 14 Dec 2019 15:58:35 +0100

displaycal (3.8.9.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sun, 08 Dec 2019 08:32:15 +0100

displaycal (3.8.8.1-2) unstable; urgency=medium

  * Should Depends on dbus-x11 (Closes: #945977)

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Dec 2019 14:56:06 +0100

displaycal (3.8.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Fri, 08 Nov 2019 07:12:43 +0100

displaycal (3.8.8.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Thu, 07 Nov 2019 07:37:58 +0100

displaycal (3.8.7.1-3) unstable; urgency=medium

  * Remove python-dbus from Depends ony python-gi is reaquired.

 -- Christian Marillat <marillat@debian.org>  Wed, 09 Oct 2019 11:12:18 +0200

displaycal (3.8.7.1-2) unstable; urgency=medium

  * Add python-dbus and python-gi dependencies (Closes: #941990)

 -- Christian Marillat <marillat@debian.org>  Wed, 09 Oct 2019 10:16:08 +0200

displaycal (3.8.7.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Wed, 02 Oct 2019 08:59:13 +0200

displaycal (3.8.7.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sun, 22 Sep 2019 16:21:55 +0200

displaycal (3.8.6.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sat, 07 Sep 2019 11:19:42 +0200

displaycal (3.8.5.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Wed, 14 Aug 2019 16:26:39 +0200

displaycal (3.8.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Aug 2019 11:21:15 +0200

displaycal (3.8.3.0-2) unstable; urgency=medium

  * Source upload only.

 -- Christian Marillat <marillat@debian.org>  Mon, 22 Jul 2019 12:46:47 +0200

displaycal (3.8.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 03 Jul 2019 18:35:19 +0200

displaycal (3.7.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 25 Jan 2019 13:26:47 +0100

displaycal (3.7.1.3-5) unstable; urgency=medium

  * Update Replaces and add a Breaks for dispcalgui (<< 3.6.1.0) (Closes:
    #919429)

 -- Christian Marillat <marillat@debian.org>  Tue, 15 Jan 2019 23:08:26 +0100

displaycal (3.7.1.3-4) unstable; urgency=medium

  * Change architecture for dispcalgui to all

 -- Christian Marillat <marillat@debian.org>  Mon, 31 Dec 2018 09:07:35 +0100

displaycal (3.7.1.3-3) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 25 Dec 2018 09:19:12 +0100

displaycal (3.6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream tarball and binary has been renamed to displaycal, so apply
    these chnages to the Debian package too.

 -- Christian Marillat <marillat@debian.org>  Wed, 08 Aug 2018 14:49:44 +0200

dispcalgui (3.6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 22 Jun 2018 12:10:09 +0200

dispcalgui (3.5.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 04 May 2018 15:07:10 +0200

dispcalgui (3.5.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Apr 2018 08:45:31 +0200

dispcalgui (3.5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Feb 2018 18:14:39 +0100

dispcalgui (3.4.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 31 Dec 2017 09:12:22 +0100

dispcalgui (3.3.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 22 Oct 2017 19:06:45 +0200

dispcalgui (3.3.4.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Wed, 13 Sep 2017 17:48:35 +0200

dispcalgui (3.3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 09 Sep 2017 19:18:37 +0200

dispcalgui (3.3.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 09 Aug 2017 08:21:07 +0200

dispcalgui (3.3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Jul 2017 10:05:25 +0200

dispcalgui (3.3.1.0-1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: displaycal-py3
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://displaycal.net/
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
 libx11-dev, libxxf86vm-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
 quilt

Package: displaycal
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, dbus-x11, argyll, libjs-jquery,
 python3-wxgtk4.0, python3-numpy, python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0
Recommends: colord, gir1.2-colordgtk-1.0
Suggests: python3-pychromecast
Replaces: dispcalgui (<< 3.6.1.0)
Breaks: dispcalgui (<< 3.6.1.0)
Description: Graphical user interface for the Argyll CMS.
 Calibrates and characterizes display devices using a hardware sensor,
 driven by the open source color management system Argyll CMS.
 Supports multi-display setups and a variety of available settings like
 customizable whitepoint, luminance, black level, tone response curve
 as well as the creation of matrix and look-up-table ICC profiles with
 optional gamut mapping. Calibrations and profiles can be verified
 through measurements, and profiles can be installed to make them
 available to color management aware applications.
 Profile installation can utilize Argyll CMS, Oyranos and/or GNOME
 Color Manager if available, for flexible integration.

Package: dispcalgui
Architecture: all
Section: oldlibs
Depends: displaycal
Description: transitional dummy package to displaycal
 This is a transitional package to displaycal, and can be safely removed
 after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with quilt



override_dh_auto_install:
	dh_auto_install --destdir=debian/displaycal

#	rm -rf debian/displaycal/etc/udev/

#override_dh_install:

#	dh_install

override_dh_clean:
	dh_clean MANIFEST.in INSTALLED_FILES

	find -name RealDisplaySizeMM.so | xargs -r rm 

	-rm -rf dist

#override_dh_compress:
#	dh_compress -XREADME.html

=== debian/watch ===
version=4

https://github.com/eoyilmaz/displaycal-py3//tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## displaycal-py3 3.9.8

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+attrdict3
 build
 certifi
 dbus-python

=== debian/changelog ===
displaycal-py3 (3.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 15 Sep 2022 14:14:57 +0200

## displaycal-py3 3.9.10

=== Makefile ===
NUM_CPUS = $(shell nproc ||  grep -c '^processor' /proc/cpuinfo)
SETUP_PY_FLAGS = --use-distutils

all: build FORCE

build: FORCE
	python setup.py build -j$(NUM_CPUS) $(SETUP_PY_FLAGS)

clean: FORCE
	-rm -rf build

dist:
	util/sdist.sh

distclean: clean FORCE
	-rm -f INSTALLED_FILES
	-rm -f setuptools-*.egg
	-rm -f use-distutils

html:
	./setup.py readme

install: build FORCE
	python setup.py install $(SETUP_PY_FLAGS)

requirements: requirements.txt requirements-dev.txt
	pip install wheel pip --upgrade
	MAKEFLAGS="-j$(NUM_CPUS)" pip install  -r requirements.txt
	MAKEFLAGS="-j$(NUM_CPUS)" pip install  -r requirements-dev.txt

uninstall:
	./setup.py uninstall $(SETUP_PY_FLAGS)

# https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
FORCE:

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 attrdict3
 build
 certifi
-dbus-python
+dbus-python; sys_platform=='linux'
 distro
 numpy
 Pillow

=== debian/changelog ===
displaycal-py3 (3.9.10-2) unstable; urgency=medium

  * Add upstream patch to fix build with python 3.11 (Closes: #1027842)

 -- Christian Marillat <marillat@debian.org>  Wed, 04 Jan 2023 00:08:59 +0100

displaycal-py3 (3.9.10-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 07 Dec 2022 11:20:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://displaycal.net/
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
  libx11-dev, libxxf86vm-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
  quilt
@@ -13,7 +13,6 @@
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, dbus-x11, argyll, libjs-jquery,
  python3-wxgtk4.0, python3-numpy, python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0
 Recommends: colord, gir1.2-colordgtk-1.0
-Suggests: python3-pychromecast
 Replaces: dispcalgui (<< 3.6.1.0)
 Breaks: dispcalgui (<< 3.6.1.0)
 Description: Graphical user interface for the Argyll CMS.

## displaycal-py3 3.9.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 NUM_CPUS = $(shell nproc ||  grep -c '^processor' /proc/cpuinfo)
 SETUP_PY_FLAGS = --use-distutils
+VERSION := $(shell cat VERSION_BASE)
+VERSION_FILE=$(CURDIR)/VERSION_BASE
 
 all: build FORCE
 
@@ -8,6 +10,7 @@
 
 clean: FORCE
 	-rm -rf build
+	-rm -rf .pytest_cache
 
 dist:
 	util/sdist.sh
@@ -16,6 +19,13 @@
 	-rm -f INSTALLED_FILES
 	-rm -f setuptools-*.egg
 	-rm -f use-distutils
+	-rm -rf dist
+
+clean-all: distclean
+	-rm MANIFEST.in
+	-rm VERSION
+	-rm -Rf DisplayCAL.egg-info
+	-rm DisplayCAL/__version__.py
 
 html:
 	./setup.py readme
@@ -31,5 +41,20 @@
 uninstall:
 	./setup.py uninstall $(SETUP_PY_FLAGS)
 
+new-release:
+	git add $(VERSION_FILE)
+	git commit -m "Version $(VERSION)"
+	git push
+	git checkout main
+	git pull
+	git merge develop
+	git tag $(VERSION)
+	git push origin main --tags
+	python -m build
+# 	twine check dist/DisplayCAL-*.whl
+	twine check dist/DisplayCAL-*.tar.gz
+# 	twine upload dist/DisplayCAL-*.whl
+	twine upload dist/DisplayCAL-*.tar.gz
+
 # https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
 FORCE:

=== debian/changelog ===
displaycal-py3 (3.9.11-2ubuntu0.24.04.2) noble; urgency=medium

  * Fix "Create synthetic ICC Profile" feature (LP: #2115430)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 27 Jun 2025 09:34:29 -0700

displaycal-py3 (3.9.11-2ubuntu0.24.04.1) noble; urgency=medium

  * Patch drop Python runtime version check (LP: #2061329)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 30 May 2024 13:00:27 -0700

displaycal-py3 (3.9.11-2) unstable; urgency=medium

  * Remove dispcalgui transitional package (Closes: #1054374)
  * Update upstream homepage.

 -- Christian Marillat <marillat@debian.org>  Sat, 20 Jan 2024 08:23:55 +0100

displaycal-py3 (3.9.11-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 10 Jun 2023 10:37:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: displaycal-py3
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
-Homepage: https://displaycal.net/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Homepage: https://github.com/eoyilmaz/displaycal-py3
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
  libx11-dev, libxxf86vm-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
@@ -26,11 +27,3 @@
  available to color management aware applications.
  Profile installation can utilize Argyll CMS, Oyranos and/or GNOME
  Color Manager if available, for flexible integration.
-
-Package: dispcalgui
-Architecture: all
-Section: oldlibs
-Depends: displaycal
-Description: transitional dummy package to displaycal
- This is a transitional package to displaycal, and can be safely removed
- after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with quilt



override_dh_auto_install:
	dh_auto_install --destdir=debian/displaycal

execute_after_dh_auto_install:
	rm debian/displaycal/usr/share/doc/displaycal/CHANGES.html

override_dh_clean:
	dh_clean MANIFEST.in INSTALLED_FILES DisplayCAL.egg-info/*

	-rm -rf dist

#override_dh_compress:
#	dh_compress -XREADME.html

## displaycal-py3 3.9.12

=== Makefile ===
SHELL:=bash
NUM_CPUS = $(shell nproc ||  grep -c '^processor' /proc/cpuinfo)
SETUP_PY_FLAGS = --use-distutils
VERSION := $(shell cat VERSION_BASE)
VERSION_FILE=$(CURDIR)/VERSION_BASE
VIRTUALENV_DIR:=.venv

all: build FORCE

.PHONY: help
help:
	@echo ""
	@echo "Available targets:"
	@make -qp | grep -o '^[a-z0-9-]\+' | sort

venv:
	python3 -m venv $(VIRTUALENV_DIR); \
	source ./$(VIRTUALENV_DIR)/bin/activate; \
	pip install -r requirements.txt; \
	pip install -r requirements-dev.txt;

build: venv FORCE
	source ./$(VIRTUALENV_DIR)/bin/activate; \
	python3 -m build;

install:
	source ./$(VIRTUALENV_DIR)/bin/activate; \
	pip install ./dist/DisplayCAL-$(VERSION)-*.whl;

launch:
	source ./.venv/bin/activate; \
	displaycal

clean: FORCE
	-rm -rf .pytest_cache
	-rm -rf .venv
	-rm -rf dist
	-rm -rf build

clean-all: clean
	-rm -f INSTALLED_FILES
	-rm -f setuptools-*.egg
	-rm -f use-distutils
	-rm -rf dist
	-rm MANIFEST.in
	-rm VERSION
	-rm -Rf DisplayCAL.egg-info
	-rm DisplayCAL/__version__.py
	-rm -Rf $(VIRTUALENV_DIR)

html:
	./setup.py readme

new-release:
	git add $(VERSION_FILE)
	git commit -m "Version $(VERSION)"
	git push
	git checkout main
	git pull
	git merge develop
	git tag $(VERSION)
	git push origin main --tags
	python3 -m build
# 	twine check dist/DisplayCAL-$(VERSION).whl
	twine check dist/DisplayCAL-$(VERSION).tar.gz
# 	twine upload dist/DisplayCAL-$(VERSION).whl
	twine upload dist/DisplayCAL-$(VERSION).tar.gz

tests: venv build install
	source $(VIRTUALENV_DIR)/bin/activate; \
	pytest -v -n auto -W ignore --color=yes --cov-report term;

# https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
FORCE:

=== debian/changelog ===
displaycal-py3 (3.9.12-4) unstable; urgency=medium

  * Add python3-setuptools to Build-Depends (Closes: #1080580)
  * Don't need to Depends on dbus-x11 (Closes: #1079492)

 -- Christian Marillat <marillat@debian.org>  Thu, 05 Sep 2024 18:54:23 +0200

displaycal-py3 (3.9.12-3) unstable; urgency=medium

  * Add from upstream support for python 3.12

 -- Christian Marillat <marillat@debian.org>  Thu, 08 Aug 2024 07:41:44 +0200

displaycal-py3 (3.9.12-2) unstable; urgency=medium

  * Add upstream patch to fix build with GCC-14 (Closes: #1074916)
  * Add upstream patch to fix "object has no attribute 'encode'"
    (Closes: #1027158)

 -- Christian Marillat <marillat@debian.org>  Tue, 09 Jul 2024 09:29:59 +0200

displaycal-py3 (3.9.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright update year

 -- Christian Marillat <marillat@debian.org>  Wed, 20 Mar 2024 09:46:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: displaycal-py3
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://github.com/eoyilmaz/displaycal-py3
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
  libx11-dev, libxxf86vm-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
- quilt
+ quilt, python3-setuptools,
 
 Package: displaycal
 Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, dbus-x11, argyll, libjs-jquery,
- python3-wxgtk4.0, python3-numpy, python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0
-Recommends: colord, gir1.2-colordgtk-1.0
-Replaces: dispcalgui (<< 3.6.1.0)
-Breaks: dispcalgui (<< 3.6.1.0)
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, argyll, libjs-jquery,
+ python3-wxgtk4.0, python3-numpy, python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0,
+Recommends: colord, gir1.2-colordgtk-1.0,
+Replaces: dispcalgui (<< 3.6.1.0),
+Breaks: dispcalgui (<< 3.6.1.0),
 Description: Graphical user interface for the Argyll CMS.
  Calibrates and characterizes display devices using a hardware sensor,
  driven by the open source color management system Argyll CMS.

## displaycal-py3 3.9.14

=== Makefile ===
SHELL:=bash
NUM_CPUS = $(shell nproc ||  grep -c '^processor' /proc/cpuinfo)
SETUP_PY_FLAGS = --use-distutils
VERSION := $(shell cat VERSION_BASE)
VERSION_FILE=$(CURDIR)/VERSION_BASE
VIRTUALENV_DIR:=.venv
SYSTEM_PYTHON?=python3

all: build FORCE

.PHONY: help
help:
	@echo ""
	@echo "Available targets:"
	@make -qp | grep -o '^[a-z0-9-]\+' | sort

.PHONY: venv
venv:
	@printf "\n\033[36m--- $@: Creating Local virtualenv '$(VIRTUALENV_DIR)' using '$(SYSTEM_PYTHON)' ---\033[0m\n"
	$(SYSTEM_PYTHON) -m venv $(VIRTUALENV_DIR)

build:
	@printf "\n\033[36m--- $@: Building ---\033[0m\n"
	echo -e "\n\033[36m--- $@: Local install into virtualenv '$(VIRTUALENV_DIR)' ---\033[0m\n";
	source ./$(VIRTUALENV_DIR)/bin/activate; \
	echo -e "\n\033[36m--- $@: Using python interpretter '`which python`' ---\033[0m\n"; \
	pip install -r requirements.txt; \
	pip install -r requirements-dev.txt; \
	python -m build;

install:
	@printf "\n\033[36m--- $@: Installing displaycal to virtualenv at '$(VIRTUALENV_DIR)' using '$(SYSTEM_PYTHON)' ---\033[0m\n"
	source ./$(VIRTUALENV_DIR)/bin/activate; \
	pip install ./dist/DisplayCAL-$(VERSION)-*.whl --force-reinstall;

launch:
	@printf "\n\033[36m--- $@: Launching DisplayCAL ---\033[0m\n"
	source ./$(VIRTUALENV_DIR)/bin/activate; \
	displaycal

clean: FORCE
	@printf "\n\033[36m--- $@: Clean ---\033[0m\n"
	-rm -rf .pytest_cache
	-rm -rf $(VIRTUALENV_DIR)
	-rm -rf dist
	-rm -rf build

clean-all: clean
	@printf "\n\033[36m--- $@: Clean All---\033[0m\n"
	-rm -f INSTALLED_FILES
	-rm -f setuptools-*.egg
	-rm -f use-distutils
	-rm -rf dist
	-rm MANIFEST.in
	-rm VERSION
	-rm -Rf DisplayCAL.egg-info
	-rm DisplayCAL/__version__.py
	-rm -Rf $(VIRTUALENV_DIR)

html:
	./setup.py readme

new-release:
	@printf "\n\033[36m--- $@: Generating New Release ---\033[0m\n"
	git add $(VERSION_FILE)
	git commit -m "Version $(VERSION)"
	git push
	git checkout main
	git pull
	git merge develop
	git tag $(VERSION)
	git push origin main --tags
	source ./$(VIRTUALENV_DIR)/bin/activate; \
	echo -e "\n\033[36m--- $@: Using python interpretter '`which python`' ---\033[0m\n"; \
	pip install -r requirements.txt; \
	pip install -r requirements-dev.txt; \
	python -m build; \
	twine check dist/DisplayCAL-$(VERSION).tar.gz; \
	twine upload dist/DisplayCAL-$(VERSION).tar.gz;

.PHONY: tests
tests:
	@printf "\n\033[36m--- $@: Run Tests ---\033[0m\n"
	echo -e "\n\033[36m--- $@: Using virtualenv at '$(VIRTUALENV_DIR)' ---\033[0m\n";
	source ./$(VIRTUALENV_DIR)/bin/activate; \
	echo -e "\n\033[36m--- $@: Using python interpretter '`which python`' ---\033[0m\n"; \
	pytest -v -n auto -W ignore --color=yes --cov-report term;

# https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
FORCE:

=== requirements.txt ===
build
certifi
comtypes; sys_platform=='win32'
dbus-python; sys_platform=='linux'
distro
numpy
Pillow
PyChromecast
pywin32; sys_platform=='win32'
Send2Trash
wxPython>=4.2.2
zeroconf

=== debian/changelog ===
displaycal-py3 (3.9.14-4ubuntu1) plucky; urgency=medium

  * Fix Create Synthetic Profile feature (LP: #2115430)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 27 Jun 2025 09:52:17 -0700

displaycal-py3 (3.9.14-4) unstable; urgency=medium

  * Don't cal rm twice

 -- Christian Marillat <marillat@debian.org>  Sat, 01 Mar 2025 13:06:20 +0100

displaycal-py3 (3.9.14-3) unstable; urgency=medium

  * Delete unneeded .pybuild directory (Closes: #1099162)

 -- Christian Marillat <marillat@debian.org>  Sat, 01 Mar 2025 11:24:30 +0100

displaycal-py3 (3.9.14-2) unstable; urgency=medium

  * Add fixes from issue #474 to fix startup with python 3.13
    (Closes: #1094380)

 -- Christian Marillat <marillat@debian.org>  Mon, 27 Jan 2025 17:45:56 +0100

displaycal-py3 (3.9.14-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patches

 -- Christian Marillat <marillat@debian.org>  Wed, 16 Oct 2024 02:55:21 +0200

displaycal-py3 (3.9.13-4) unstable; urgency=medium

  * Add upstream patch to fix 'fail to open Calibrate window'

 -- Christian Marillat <marillat@debian.org>  Tue, 15 Oct 2024 15:07:43 +0200

displaycal-py3 (3.9.13-3) unstable; urgency=medium

  * Add upstream patch to fix installation.
  * Add a call to dh_numpy3 (Closes: #1035132)

 -- Christian Marillat <marillat@debian.org>  Sun, 13 Oct 2024 11:04:58 +0200

displaycal-py3 (3.9.13-2) unstable; urgency=medium

  * Pacth DisplayCAL/setup.py to version 3.9.12

 -- Christian Marillat <marillat@debian.org>  Fri, 11 Oct 2024 00:43:26 +0200

displaycal-py3 (3.9.13-1) unstable; urgency=medium

  * New upstream release.
  * Remove 03_FTBFS-GCC-14, 04_fix-no-attribute-encode and
    05_add-support-python-3.12 upstream patches.
  * Add support for python 3.13 (Closes: #1084584)

 -- Christian Marillat <marillat@debian.org>  Thu, 10 Oct 2024 13:02:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: displaycal-py3
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://github.com/eoyilmaz/displaycal-py3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
  libx11-dev, libxxf86vm-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
- quilt, python3-setuptools,
+ quilt, python3-setuptools, python3-numpy,
 
 Package: displaycal
 Architecture: any
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, argyll, libjs-jquery,
- python3-wxgtk4.0, python3-numpy, python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0,
+ python3-wxgtk4.0, python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0,
 Recommends: colord, gir1.2-colordgtk-1.0,
 Replaces: dispcalgui (<< 3.6.1.0),
 Breaks: dispcalgui (<< 3.6.1.0),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with quilt

#override_dh_auto_install:
#	dh_auto_install --destdir=debian/displaycal

execute_after_dh_python3:
	dh_numpy3 --strict

execute_after_dh_auto_install:
	rm debian/displaycal/usr/share/doc/displaycal/CHANGES.html

	-rm -rf debian/displaycal/build
	-rm -rf debian/displaycal/home

override_dh_clean:
	dh_clean MANIFEST.in INSTALLED_FILES DisplayCAL.egg-info/*

	-rm -rf dist

#override_dh_compress:
#	dh_compress -XREADME.html

## displaycal-py3 3.9.15

=== Makefile ===
--- 
+++ 
@@ -24,14 +24,14 @@
 	echo -e "\n\033[36m--- $@: Local install into virtualenv '$(VIRTUALENV_DIR)' ---\033[0m\n";
 	source ./$(VIRTUALENV_DIR)/bin/activate; \
 	echo -e "\n\033[36m--- $@: Using python interpretter '`which python`' ---\033[0m\n"; \
-	pip install -r requirements.txt; \
-	pip install -r requirements-dev.txt; \
+	pip install uv; \
+	uv pip install -r requirements.txt -r requirements-dev.txt; \
 	python -m build;
 
 install:
 	@printf "\n\033[36m--- $@: Installing displaycal to virtualenv at '$(VIRTUALENV_DIR)' using '$(SYSTEM_PYTHON)' ---\033[0m\n"
 	source ./$(VIRTUALENV_DIR)/bin/activate; \
-	pip install ./dist/DisplayCAL-$(VERSION)-*.whl --force-reinstall;
+	uv pip install ./dist/displaycal-$(VERSION)-*.whl --force-reinstall;
 
 launch:
 	@printf "\n\033[36m--- $@: Launching DisplayCAL ---\033[0m\n"
@@ -41,6 +41,9 @@
 clean: FORCE
 	@printf "\n\033[36m--- $@: Clean ---\033[0m\n"
 	-rm -rf .pytest_cache
+	-rm -rf .coverage
+	-rm -rf .ruff_cache
+	-rm -rf .tox
 	-rm -rf $(VIRTUALENV_DIR)
 	-rm -rf dist
 	-rm -rf build
@@ -50,7 +53,7 @@
 	-rm -f INSTALLED_FILES
 	-rm -f setuptools-*.egg
 	-rm -f use-distutils
-	-rm -rf dist
+	-rm -f main.py
 	-rm MANIFEST.in
 	-rm VERSION
 	-rm -Rf DisplayCAL.egg-info
@@ -72,8 +75,8 @@
 	git push origin main --tags
 	source ./$(VIRTUALENV_DIR)/bin/activate; \
 	echo -e "\n\033[36m--- $@: Using python interpretter '`which python`' ---\033[0m\n"; \
-	pip install -r requirements.txt; \
-	pip install -r requirements-dev.txt; \
+	uv pip install -r requirements.txt; \
+	uv pip install -r requirements-dev.txt; \
 	python -m build; \
 	twine check dist/DisplayCAL-$(VERSION).tar.gz; \
 	twine upload dist/DisplayCAL-$(VERSION).tar.gz;

=== debian/changelog ===
displaycal-py3 (3.9.15-1) unstable; urgency=medium

  * New upstream release.
  * Remove 02_Fix-python-3.13-and-wxPython upstream patch
  * Remove libx11-dev, libxxf86vm-dev, libxext-dev, libxinerama-dev,
    libxrandr-dev and python3-numpy build-dependcies.
  * debin/control Architecture: is now all and remove ${shlibs:Depends}

 -- Christian Marillat <marillat@debian.org>  Thu, 03 Apr 2025 08:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: displaycal-py3
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://github.com/eoyilmaz/displaycal-py3
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
- libx11-dev, libxxf86vm-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
- quilt, python3-setuptools, python3-numpy,
+ quilt, python3-setuptools,
 
 Package: displaycal
-Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, argyll, libjs-jquery,
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, argyll, libjs-jquery,
  python3-wxgtk4.0, python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0,
 Recommends: colord, gir1.2-colordgtk-1.0,
 Replaces: dispcalgui (<< 3.6.1.0),

## displaycal-py3 3.9.16

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	echo -e "\n\033[36m--- $@: Using python interpretter '`which python`' ---\033[0m\n"; \
 	pip install uv; \
 	uv pip install -r requirements.txt -r requirements-dev.txt; \
-	python -m build;
+	uv build;
 
 install:
 	@printf "\n\033[36m--- $@: Installing displaycal to virtualenv at '$(VIRTUALENV_DIR)' using '$(SYSTEM_PYTHON)' ---\033[0m\n"
@@ -54,9 +54,11 @@
 	-rm -f setuptools-*.egg
 	-rm -f use-distutils
 	-rm -f main.py
+	-rm -Rf htmlcov
+	-rm .coverage.*
 	-rm MANIFEST.in
 	-rm VERSION
-	-rm -Rf DisplayCAL.egg-info
+	-rm -Rf displaycal.egg-info
 	-rm DisplayCAL/__version__.py
 	-rm -Rf $(VIRTUALENV_DIR)
 
@@ -77,7 +79,7 @@
 	echo -e "\n\033[36m--- $@: Using python interpretter '`which python`' ---\033[0m\n"; \
 	uv pip install -r requirements.txt; \
 	uv pip install -r requirements-dev.txt; \
-	python -m build; \
+	uv build; \
 	twine check dist/DisplayCAL-$(VERSION).tar.gz; \
 	twine upload dist/DisplayCAL-$(VERSION).tar.gz;
 
@@ -87,7 +89,7 @@
 	echo -e "\n\033[36m--- $@: Using virtualenv at '$(VIRTUALENV_DIR)' ---\033[0m\n";
 	source ./$(VIRTUALENV_DIR)/bin/activate; \
 	echo -e "\n\033[36m--- $@: Using python interpretter '`which python`' ---\033[0m\n"; \
-	pytest -v -n auto -W ignore --color=yes --cov-report term;
+	pytest -n auto -W ignore --color=yes --cov-report term;
 
 # https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
 FORCE:

=== requirements.txt ===
build  # conda python-build
certifi
comtypes; sys_platform == "win32"
dbus-python; sys_platform == "linux"
distro
numpy
Pillow
protobuf
PyChromecast
pywin32; sys_platform == "win32"
Send2Trash
WMI; sys_platform == "win32"
wxPython >= 4.2.2
zeroconf

=== debian/changelog ===
displaycal-py3 (3.9.16-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove 02_Remove-python3-six upstream patch.

 -- Christian Marillat <marillat@debian.org>  Sun, 04 May 2025 15:16:17 +0200

displaycal-py3 (3.9.15-3) unstable; urgency=medium

  * Add upstream patch from PR#549 to remove python3-six references

 -- Christian Marillat <marillat@debian.org>  Sat, 03 May 2025 17:04:02 +0200

displaycal-py3 (3.9.15-2) unstable; urgency=medium

  * Add python3-six to Depends (Closes: #1104001)

 -- Christian Marillat <marillat@debian.org>  Thu, 24 Apr 2025 00:37:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 Package: displaycal
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, argyll, libjs-jquery,
- python3-wxgtk4.0, python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0,
+Depends: ${python3:Depends}, ${misc:Depends}, argyll, libjs-jquery, python3-wxgtk4.0,
+ python3-gi, python3-send2trash, python3-distro, libsdl2-mixer-2.0-0,
 Recommends: colord, gir1.2-colordgtk-1.0,
 Replaces: dispcalgui (<< 3.6.1.0),
 Breaks: dispcalgui (<< 3.6.1.0),

## displaycal-py3 3.9.17

=== debian/changelog ===
displaycal-py3 (3.9.17-2) unstable; urgency=medium

  * drop '--with quilt' dh option (Closes:#1129326)

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Mar 2026 14:44:49 +0100

displaycal-py3 (3.9.17-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sun, 14 Sep 2025 08:26:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: displaycal-py3
 Section: graphics
-Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://github.com/eoyilmaz/displaycal-py3
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
- quilt, python3-setuptools,
+ python3-setuptools,
 
 Package: displaycal
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild

execute_after_dh_auto_install:
	rm debian/displaycal/usr/share/doc/displaycal/CHANGES.html

	-rm -rf debian/displaycal/build
	-rm -rf debian/displaycal/home

override_dh_clean:
	dh_clean MANIFEST.in INSTALLED_FILES DisplayCAL.egg-info/*

	-rm -rf dist
